Грабельки

В процессе переноса одного проекта, в частности Galley 1.5.x, работающего с руссификацией в KOI8-R, с машины с php4 на машину с php5 получил такое сообщение:

cannot yet handle MBCS in html_entity_decode()

Хотя весь интернет уверяет, что это сообщение должно появляться в php4 и лечиться в php5...

Лекарство нашлось очень странное, в описании функции html_entity_decode для кодировки KOI8-R указаны алиасы koi8-ru и koi8r. Если указывать последний вместо стандартного KOI8-R, то это сообщение пропадает.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *